Skip to main content
PATCH
/
v0
/
chatbots
/
chatbot
/
{chatbotId}
/
settings
/
user-data
Update User Data Settings
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v0/chatbots/chatbot/{chatbotId}/settings/user-data \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enableLeadCollection": true,
  "customerEmailTake": true,
  "whenUserShareDetails": "optional"
}
'
{
  "success": true,
  "message": "User data settings updated successfully",
  "data": {
    "enableLeadCollection": true,
    "customerNameTake": true,
    "customerPhoneTake": true,
    "customerEmailTake": true
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required
Example:

"361628903185318481"

Body

application/json

All fields are optional. Only provided fields are applied.

enableLeadCollection
boolean
customerNameTake
boolean
customerPhoneTake
boolean
customerEmailTake
boolean
whenUserShareDetails
enum<string>
Available options:
mandatory,
optional,
do_not_collect

Response

Updated

success
boolean
Example:

true

message
string
Example:

"User data settings updated successfully"

data
object